package gmodel

import "gorm.io/gorm"

// AllModelsGen 所有Model集合,修改单行,只要不改字段名,不会根据新的内容修改,需要修改的话手动删除
type AllModelsGen struct {
	FsAddress                 *FsAddressModel                 // fs_address 用户地址表
	FsAuthAssignment          *FsAuthAssignmentModel          // fs_auth_assignment 用户角色和权限信息
	FsAuthItem                *FsAuthItemModel                // fs_auth_item 用户角色和权限信息
	FsAuthItemChild           *FsAuthItemChildModel           // fs_auth_item_child 角色和权限关系表
	FsAuthRule                *FsAuthRuleModel                // fs_auth_rule 规则表
	FsBackendUser             *FsBackendUserModel             // fs_backend_user 管理员表
	FsCanteenProduct          *FsCanteenProductModel          // fs_canteen_product 餐厅类别产品对应表
	FsCanteenType             *FsCanteenTypeModel             // fs_canteen_type 餐厅类型表
	FsCard                    *FsCardModel                    // fs_card 卡号表
	FsCardGroup               *FsCardGroupModel               // fs_card_group 卡号分组表
	FsCart                    *FsCartModel                    // fs_cart 购物车
	FsChangeCode              *FsChangeCodeModel              // fs_change_code 忘记密码code表
	FsCloud                   *FsCloudModel                   // fs_cloud 云仓表
	FsCloudPickUp             *FsCloudPickUpModel             // fs_cloud_pick_up 云仓提货单
	FsCloudPickUpDetail       *FsCloudPickUpDetailModel       // fs_cloud_pick_up_detail 云仓提货单-详情
	FsCloudReceive            *FsCloudReceiveModel            // fs_cloud_receive 云仓接收工厂总单
	FsCloudRenderLog          *FsCloudRenderLogModel          // fs_cloud_render_log 云渲染日志表
	FsCloudUserApplyBack      *FsCloudUserApplyBackModel      // fs_cloud_user_apply_back 该表废弃
	FsContact                 *FsContactModel                 // fs_contact 该表暂未使用
	FsCoupon                  *FsCouponModel                  // fs_coupon 代金券（暂未使用）
	FsDeliver                 *FsDeliverModel                 // fs_deliver 发货表  云仓 直发 通用（已废弃）
	FsDeliverEvery            *FsDeliverEveryModel            // fs_deliver_every 发货详细表（已废弃）
	FsDepartment              *FsDepartmentModel              // fs_department 部门表
	FsEmailLogs               *FsEmailLogsModel               // fs_email_logs 邮件日志表
	FsEmailTemplate           *FsEmailTemplateModel           // fs_email_template 邮件模板表(暂未使用)
	FsFactory                 *FsFactoryModel                 // fs_factory 该表废弃
	FsFactoryDeliver          *FsFactoryDeliverModel          // fs_factory_deliver 工厂发货主表(废弃)
	FsFactoryDeliverEvery     *FsFactoryDeliverEveryModel     // fs_factory_deliver_every 该表废弃
	FsFactoryProduct          *FsFactoryProductModel          // fs_factory_product 工厂生产表（废弃）
	FsFaq                     *FsFaqModel                     // fs_faq 常见问题
	FsFont                    *FsFontModel                    // fs_font 字体配置
	FsGerent                  *FsGerentModel                  // fs_gerent 管理员表
	FsGuest                   *FsGuestModel                   // fs_guest 游客表
	FsLog                     *FsLogModel                     // fs_log 日志表
	FsMapLibrary              *FsMapLibraryModel              // fs_map_library 贴图库
	FsMenu                    *FsMenuModel                    // fs_menu 后台菜单
	FsMigration               *FsMigrationModel               // fs_migration 版本库
	FsOrder                   *FsOrderModel                   // fs_order
	FsOrderAffiliate          *FsOrderAffiliateModel          // fs_order_affiliate 订单附属表-流程控制时间等
	FsOrderDetail             *FsOrderDetailModel             // fs_order_detail 订单详细表
	FsOrderDetailTemplate     *FsOrderDetailTemplateModel     // fs_order_detail_template 订单模板详细表
	FsOrderRemark             *FsOrderRemarkModel             // fs_order_remark 订单备注表
	FsPay                     *FsPayModel                     // fs_pay 支付记录
	FsProduct                 *FsProductModel                 // fs_product 产品表
	FsProductCopy1            *FsProductCopy1Model            // fs_product_copy1 产品表
	FsProductDesign           *FsProductDesignModel           // fs_product_design 产品设计表
	FsProductModel3d          *FsProductModel3dModel          // fs_product_model3d 产品模型表
	FsProductModel3dLight     *FsProductModel3dLightModel     // fs_product_model3d_light 模型-灯光组表
	FsProductOption           *FsProductOptionModel           // fs_product_option 产品选项表（已废弃）
	FsProductPrice            *FsProductPriceModel            // fs_product_price 阶梯价格表
	FsProductScene            *FsProductSceneModel            // fs_product_scene 产品场景表
	FsProductSize             *FsProductSizeModel             // fs_product_size 产品尺寸表
	FsProductTemplate         *FsProductTemplateModel         // fs_product_template 产品模板表（已废弃）
	FsProductTemplateBasemap  *FsProductTemplateBasemapModel  // fs_product_template_basemap 模板底图表
	FsProductTemplateElement  *FsProductTemplateElementModel  // fs_product_template_element 云渲染配置表
	FsProductTemplateTags     *FsProductTemplateTagsModel     // fs_product_template_tags  模板标签表
	FsProductTemplateV2       *FsProductTemplateV2Model       // fs_product_template_v2 产品-模型-模板表
	FsProductV2Tmp            *FsProductV2TmpModel            // fs_product_v2_tmp 产品表
	FsQrcodeLog               *FsQrcodeLogModel               // fs_qrcode_log 二维码扫描日志
	FsQrcodeSet               *FsQrcodeSetModel               // fs_qrcode_set 二维码边框配置表
	FsQrcodeUser              *FsQrcodeUserModel              // fs_qrcode_user 二维码-用户名表
	FsQuotation               *FsQuotationModel               // fs_quotation 报价单信息表
	FsQuotationProduct        *FsQuotationProductModel        // fs_quotation_product 报价单产品表
	FsQuotationRemarkTemplate *FsQuotationRemarkTemplateModel // fs_quotation_remark_template 报价单备注模板
	FsQuotationSaler          *FsQuotationSalerModel          // fs_quotation_saler 报价单业务员表
	FsStandardLogo            *FsStandardLogoModel            // fs_standard_logo 标准logo
	FsTags                    *FsTagsModel                    // fs_tags 产品分类表
	FsToolLogs                *FsToolLogsModel                // fs_tool_logs 3d设计工具日志表
	FsToolTemplate            *FsToolTemplateModel            // fs_tool_template 设计工具模板（废弃）
	FsToolUser                *FsToolUserModel                // fs_tool_user 3d设计工具用户表
	FsUser                    *FsUserModel                    // fs_user 用户表
	FsUserDesign              *FsUserDesignModel              // fs_user_design 废弃表
	FsUserStock               *FsUserStockModel               // fs_user_stock 用户云仓库存
	FsWebSet                  *FsWebSetModel                  // fs_web_set 网站配置表

}

func NewAllModels(gdb *gorm.DB) *AllModelsGen {
	models := &AllModelsGen{
		FsAddress:                 NewFsAddressModel(gdb),
		FsAuthAssignment:          NewFsAuthAssignmentModel(gdb),
		FsAuthItem:                NewFsAuthItemModel(gdb),
		FsAuthItemChild:           NewFsAuthItemChildModel(gdb),
		FsAuthRule:                NewFsAuthRuleModel(gdb),
		FsBackendUser:             NewFsBackendUserModel(gdb),
		FsCanteenProduct:          NewFsCanteenProductModel(gdb),
		FsCanteenType:             NewFsCanteenTypeModel(gdb),
		FsCard:                    NewFsCardModel(gdb),
		FsCardGroup:               NewFsCardGroupModel(gdb),
		FsCart:                    NewFsCartModel(gdb),
		FsChangeCode:              NewFsChangeCodeModel(gdb),
		FsCloud:                   NewFsCloudModel(gdb),
		FsCloudPickUp:             NewFsCloudPickUpModel(gdb),
		FsCloudPickUpDetail:       NewFsCloudPickUpDetailModel(gdb),
		FsCloudReceive:            NewFsCloudReceiveModel(gdb),
		FsCloudRenderLog:          NewFsCloudRenderLogModel(gdb),
		FsCloudUserApplyBack:      NewFsCloudUserApplyBackModel(gdb),
		FsContact:                 NewFsContactModel(gdb),
		FsCoupon:                  NewFsCouponModel(gdb),
		FsDeliver:                 NewFsDeliverModel(gdb),
		FsDeliverEvery:            NewFsDeliverEveryModel(gdb),
		FsDepartment:              NewFsDepartmentModel(gdb),
		FsEmailLogs:               NewFsEmailLogsModel(gdb),
		FsEmailTemplate:           NewFsEmailTemplateModel(gdb),
		FsFactory:                 NewFsFactoryModel(gdb),
		FsFactoryDeliver:          NewFsFactoryDeliverModel(gdb),
		FsFactoryDeliverEvery:     NewFsFactoryDeliverEveryModel(gdb),
		FsFactoryProduct:          NewFsFactoryProductModel(gdb),
		FsFaq:                     NewFsFaqModel(gdb),
		FsFont:                    NewFsFontModel(gdb),
		FsGerent:                  NewFsGerentModel(gdb),
		FsGuest:                   NewFsGuestModel(gdb),
		FsLog:                     NewFsLogModel(gdb),
		FsMapLibrary:              NewFsMapLibraryModel(gdb),
		FsMenu:                    NewFsMenuModel(gdb),
		FsMigration:               NewFsMigrationModel(gdb),
		FsOrder:                   NewFsOrderModel(gdb),
		FsOrderAffiliate:          NewFsOrderAffiliateModel(gdb),
		FsOrderDetail:             NewFsOrderDetailModel(gdb),
		FsOrderDetailTemplate:     NewFsOrderDetailTemplateModel(gdb),
		FsOrderRemark:             NewFsOrderRemarkModel(gdb),
		FsPay:                     NewFsPayModel(gdb),
		FsProduct:                 NewFsProductModel(gdb),
		FsProductCopy1:            NewFsProductCopy1Model(gdb),
		FsProductDesign:           NewFsProductDesignModel(gdb),
		FsProductModel3d:          NewFsProductModel3dModel(gdb),
		FsProductModel3dLight:     NewFsProductModel3dLightModel(gdb),
		FsProductOption:           NewFsProductOptionModel(gdb),
		FsProductPrice:            NewFsProductPriceModel(gdb),
		FsProductScene:            NewFsProductSceneModel(gdb),
		FsProductSize:             NewFsProductSizeModel(gdb),
		FsProductTemplate:         NewFsProductTemplateModel(gdb),
		FsProductTemplateBasemap:  NewFsProductTemplateBasemapModel(gdb),
		FsProductTemplateElement:  NewFsProductTemplateElementModel(gdb),
		FsProductTemplateTags:     NewFsProductTemplateTagsModel(gdb),
		FsProductTemplateV2:       NewFsProductTemplateV2Model(gdb),
		FsProductV2Tmp:            NewFsProductV2TmpModel(gdb),
		FsQrcodeLog:               NewFsQrcodeLogModel(gdb),
		FsQrcodeSet:               NewFsQrcodeSetModel(gdb),
		FsQrcodeUser:              NewFsQrcodeUserModel(gdb),
		FsQuotation:               NewFsQuotationModel(gdb),
		FsQuotationProduct:        NewFsQuotationProductModel(gdb),
		FsQuotationRemarkTemplate: NewFsQuotationRemarkTemplateModel(gdb),
		FsQuotationSaler:          NewFsQuotationSalerModel(gdb),
		FsStandardLogo:            NewFsStandardLogoModel(gdb),
		FsTags:                    NewFsTagsModel(gdb),
		FsToolLogs:                NewFsToolLogsModel(gdb),
		FsToolTemplate:            NewFsToolTemplateModel(gdb),
		FsToolUser:                NewFsToolUserModel(gdb),
		FsUser:                    NewFsUserModel(gdb),
		FsUserDesign:              NewFsUserDesignModel(gdb),
		FsUserStock:               NewFsUserStockModel(gdb),
		FsWebSet:                  NewFsWebSetModel(gdb),
	}
	return models
}
